BIDENTIFY(1)

NAME
bidentify - Barry Project's program to identify BlackBerry handhelds

SYNOPSIS
bidentify [-B busname][-N devname][-h][-v]

DESCRIPTION

bidentify scans the USB system for available BlackBerry devices and probes each one it finds, then sends the identifying information to stdout in a computer-friendly format.

OPTIONS

-B busname
    Specify the USB bus to search for Blackberry devices on. This is the first number displayed in the output from the lsusb command, such as 002. If the busname is numeric on your system, 2 and 002 are equal. See also the -N option, which can be used together with this option to precisely select the device to work with.

-N devname
    Specify the USB device name. This is the second number displayed in the output from the lsusb command, such as 005. If the device name is numeric on your system, 5 and 005 are equal. See also the -B option.

-v  Dump verbose protocol data during operation.

-h, --help
    Show summary of options.

RETURN STATUS
If bidentify detects a BlackBerry device, but cannot access it for some reason, it will write an error message to stderr describing the access problem, and return a count of the number of such failed devices as the error code. A return code of 0 means there were no BlackBerry devices found that could not be probed. In the event of a fatal error, the message will be written to stderr, with an error code of 1.

AUTHOR
bidentify is part of the Barry project. This manual page was written by Chris Frey.

SEE ALSO

http://www.netdirect.ca/software/packages/barry/index.php